SDL_GL_SetAttribute(3)

NAME
SDL_GL_SetAttribute - Set an OpenGL window attribute before window creation.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GL_SetAttribute(SDL_GLAttr attr, int value);

DESCRIPTION
This function sets the OpenGL attribute attr to value. The requested attributes should be set before creating an OpenGL window. You should use SDL_GL_GetAttribute() to check the values after creating the OpenGL context, since the values obtained can differ from the requested ones.

FUNCTION PARAMETERS

attr
    an enum value specifying the OpenGL attribute to set.

value
    the desired value for the attribute.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GL_CreateContext(3), SDL_GL_GetAttribute(3), SDL_GL_ResetAttributes(3)